---
# This is an example playbook to execute Ansible tests.

- name: Verify
  hosts: all
  gather_facts: false
  tasks:
    - name: Get package facts
      package_facts:
        manager: apt

    - name: Test nginx package installation
      assert:
        that: "'nginx' in ansible_facts.packages"

    - name: Get service facts
      service_facts:

    - name: Test nginx state
      assert:
        that: "ansible_facts.services.nginx.state == 'running'"

    - name: Get homepage response
      uri:
        url: http://localhost:80
      register: response
      ignore_errors: yes

    - name: Test nginx homepage response
      assert:
        that: "response.status == 200"
